MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024073Community[OCCT] OCCT:Codingpublic2013-07-13 03:382016-12-09 16:38
Reportermach22 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0024073: Coding rules - ambiguous call to overloaded function StdPrs_DeflectionCurve::Match()
Descriptionerror C2668: 'StdPrs_DeflectionCurve::Match' : ambiguous call to overloaded function
2> C:\OpenCASCADE6.6.0\ros\inc\StdPrs_DeflectionCurve.hxx(110): could be 'Standard_Boolean StdPrs_DeflectionCurve::Match(const Quantity_Length,const Quantity_Length,const Quantity_Length,const Quantity_Length,const Adaptor3d_Curve &,const Standard_Real,const Standard_Real,const Standard_Real,const Standard_Real)'
2> C:\OpenCASCADE6.6.0\ros\inc\StdPrs_DeflectionCurve.hxx(105): or 'Standard_Boolean StdPrs_DeflectionCurve::Match(const Quantity_Length,const Quantity_Length,const Quantity_Length,const Quantity_Length,const Adaptor3d_Curve &,const Standard_Real,const Standard_Real,const Standard_Real)'
Steps To ReproduceI have called the method Match from StdPrs_DeflectionCurve with these parameters:

StdPrs_DeflectionCurve::Match(X, Y, Z, aDistance, aCurve, aDeflection, aLimit, anAngle)

this match with the 2 overloaded

1) with no optional parameter anAngle
Standard_EXPORT static Standard_Boolean Match(const Quantity_Length X,const Quantity_Length Y,const Quantity_Length Z,const Quantity_Length aDistance,const Adaptor3d_Curve& aCurve,const Standard_Real aDeflection,const Standard_Real aLimit,const Standard_Real anAngle = 0.2) ;

2) with the optional parameter anAngle = 0.2
Standard_EXPORT static Standard_Boolean Match(const Quantity_Length X,const Quantity_Length Y,const Quantity_Length Z,const Quantity_Length aDistance,const Adaptor3d_Curve& aCurve,const Standard_Real U1,const Standard_Real U2,const Standard_Real aDeflection,const Standard_Real anAngle = 0.2) ;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027687)
bugmaster (administrator)
2014-01-29 16:30

To reproduce issue creation of testing case is required
(0027843)
apn (administrator)
2014-02-11 16:32

Test case is not needed.
(0058356)
git (administrator)
2016-10-03 14:41

Branch CR24073 has been created by kgv.

SHA-1: 061a4514b2957874869977b9c07daafdf15ebee1


Detailed log of new commits:

Author: kgv
Date: Mon Oct 3 14:41:12 2016 +0300

    0024073: Coding rules - ambiguous call to overloaded function StdPrs_DeflectionCurve::Match()
    
    Default parameters values have been removed from the methods
    StdPrs_DeflectionCurve::Match() to avoid ambiguity.
(0058357)
kgv (developer)
2016-10-03 14:44

Patch is ready for review.
(0058372)
san (developer)
2016-10-03 16:50

Branch CR24073 reviewed without remarks, ready for testing.
(0058408)
mkv (tester)
2016-10-04 17:18

Dear BugMaster,
Branch CR24073 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 061a4514b2957874869977b9c07daafdf15ebee1

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1159

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91056829 / 90532420 [+0.58%]
Total CPU difference: 19459.979999999872 / 19276.80999999978 [+0.95%]
products component :
Total MEMORY difference: 30053684 / 30036359 [+0.06%]
Total CPU difference: 5184.009999999976 / 5173.459999999983 [+0.20%]

Testing on Windows:
occt component :
Total MEMORY difference: 57228076 / 57236340 [-0.01%]
Total CPU difference: 19195.704648598672 / 18116.099728098634 [+5.96%]
products component :
Total MEMORY difference: 21274068 / 21238613 [+0.17%]
Total CPU difference: 5411.581089399992 / 4976.229098699953 [+8.75%]

There are no differences in images found by testdiff.
(0058409)
mkv (tester)
2016-10-04 17:18

Dear BugMaster,
Branch CR24073 is TESTED.
(0059425)
git (administrator)
2016-10-28 21:41

Branch CR24073 has been deleted by kgv.

SHA-1: 061a4514b2957874869977b9c07daafdf15ebee1

- Related Changesets
occt: master 88e55ec7
Timestamp: 2016-10-03 11:41:12
Author: kgv
Committer: apn
Details ] Diff ]
0024073: Coding rules - ambiguous call to overloaded function StdPrs_DeflectionCurve::Match()

Default parameters values have been removed from the methods
StdPrs_DeflectionCurve::Match() to avoid ambiguity.
mod - src/StdPrs/StdPrs_DeflectionCurve.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-13 03:38 mach22 New Issue
2013-07-13 03:38 mach22 Assigned To => san
2014-01-29 16:30 bugmaster Note Added: 0027687
2014-01-29 16:30 bugmaster Assigned To san => apn
2014-01-29 16:30 bugmaster Status new => assigned
2014-02-11 16:32 apn Note Added: 0027843
2014-02-11 16:33 apn Test case number => Not needed
2014-02-11 16:33 apn Assigned To apn => san
2014-02-17 16:30 kgv Assigned To san => aba
2014-02-17 16:30 kgv Category OCCT:Visualization => OCCT:Coding
2014-02-17 16:32 kgv Target Version => 6.7.1
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-11 09:47 abv Target Version 6.8.0 => 7.1.0
2015-11-10 10:33 kgv Assigned To aba => kgv
2016-10-03 14:32 kgv Summary ambiguous call to overloaded function => Coding rules - ambiguous call to overloaded function StdPrs_DeflectionCurve::Match()
2016-10-03 14:41 git Note Added: 0058356
2016-10-03 14:44 kgv Note Added: 0058357
2016-10-03 14:44 kgv Assigned To kgv => san
2016-10-03 14:44 kgv Status assigned => resolved
2016-10-03 16:50 san Note Added: 0058372
2016-10-03 16:50 san Assigned To san => bugmaster
2016-10-03 16:50 san Status resolved => reviewed
2016-10-03 16:55 mkv Assigned To bugmaster => mkv
2016-10-04 17:18 mkv Note Added: 0058408
2016-10-04 17:18 mkv Note Added: 0058409
2016-10-04 17:18 mkv Assigned To mkv => bugmaster
2016-10-04 17:18 mkv Status reviewed => tested
2016-10-07 16:09 apn Changeset attached => occt master 88e55ec7
2016-10-07 16:09 apn Assigned To bugmaster => apn
2016-10-07 16:09 apn Status tested => verified
2016-10-07 16:09 apn Resolution open => fixed
2016-10-28 21:41 git Note Added: 0059425
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker